<?php
/*
Автор скрипта: Juse
Модификация: Jahak
*/

// error_reporting(0);
include_once "head.php";
echo '<div class="centrik">';
$file = file("data/user.dat");
$udata = explode("|", $file[0]);
if ($_GET['isset']=="noauth"){
    echo '<div class="rmenu">Не корректная пара! <br />Логин или Пароль!</div>';
} else {
    echo '<div class="rmenu">Введите логин и пароль!</div>';
}
if (!isset($_GET['action'])){
    echo '<div class="menu"><form action="?action=auth" method="post">
<b>Логин:</b><br /><input type="text" name="login"/><br />
<b>Пароль:</b><br /><input type="password" name="pass"/>
<p><input type="submit" value="Войти" /></p></form></div>';
}
if ($_GET['action']=="auth"){
    $_POST['login'] = md5(md5(htmlspecialchars($_POST['login'])));
    $_POST['pass'] = md5(md5(htmlspecialchars($_POST['pass'])));
    if ($udata[0]==$_POST['login'] && $udata[1]==$_POST['pass']){
        setcookie("cookielog", htmlspecialchars($_POST['login']), time()+60*60*24*30); // живет 30 дней
        setcookie("cookiepass", htmlspecialchars($_POST['pass']), time()+60*60*24*30); // живет 30 дней
        header("Location: index.php");
    } else {
        header('Location: ?isset=noauth&');
        exit;
    }
}
echo '</div>';
include 'foot.php';